# Class MethodHandle

java.lang.Object
java.lang.invoke.MethodHandle

public abstract class MethodHandle extends java.lang.Object

##### Deprecated

these classes are used internally for Lambda compatibility

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodHandle()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MethodHandle`
  `asCollector(java.lang.Class<?> a, int b)`
  `MethodHandle`
  `asFixedArity()`
  `MethodHandle`
  `asSpreader(java.lang.Class<?> a, int b)`
  `MethodHandle`
  `asType(java.lang.invoke.MethodType a)`
  `MethodHandle`
  `asVarargsCollector(java.lang.Class<?> a)`
  `MethodHandle`
  `bindTo(java.lang.Object a)`
  `final java.lang.Object`
  `invoke(java.lang.Object... a)`
  `final java.lang.Object`
  `invokeExact(java.lang.Object... a)`
  `java.lang.Object`
  `invokeWithArguments(java.lang.Object... a)`
  `java.lang.Object`
  `invokeWithArguments(List<?> a)`
  `boolean`
  `isVarargsCollector()`
  `java.lang.invoke.MethodType`
  `type()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MethodHandle

    public MethodHandle()

- ## Method Details

  - ### type

    public java.lang.invoke.MethodType type()

  - ### invokeExact

    public final java.lang.Object invokeExact(java.lang.Object... a) throws Throwable
    Throws:
      `Throwable`

  - ### invoke

    public final java.lang.Object invoke(java.lang.Object... a) throws Throwable
    Throws:
      `Throwable`

  - ### invokeWithArguments

    public java.lang.Object invokeWithArguments(java.lang.Object... a) throws Throwable
    Throws:
      `Throwable`

  - ### invokeWithArguments

    public java.lang.Object invokeWithArguments(List<?> a) throws Throwable
    Throws:
      `Throwable`

  - ### asType

    public MethodHandle asType(java.lang.invoke.MethodType a)

  - ### asSpreader

    public MethodHandle asSpreader(java.lang.Class<?> a, int b)

  - ### asCollector

    public MethodHandle asCollector(java.lang.Class<?> a, int b)

  - ### asVarargsCollector

    public MethodHandle asVarargsCollector(java.lang.Class<?> a)

  - ### isVarargsCollector

    public boolean isVarargsCollector()

  - ### asFixedArity

    public MethodHandle asFixedArity()

  - ### bindTo

    public MethodHandle bindTo(java.lang.Object a)